Balance

Check the balance of a card linked to a wallet.

This operation queries a card balance using multiple authentication and context parameters.

REQUEST

PATH PARAMETERS


ParameterType & ConstraintsDescription
terminalIDstring, 10 characters, requiredOur partner issued terminal ID of the terminal requesting the transaction
referencestring, 1–255 characters, requiredThe reference of the wallet to retrieve the balance for
narrativestring, 1–255 characters, requiredA description of the terminal where the card was used
transactionDatastring, 0–2048 characters, requiredExtra information about the transaction in a KLV Lookup
transactionIDstring, 1–255 characters, requiredTransaction ID number generated by the calling client. Note that the Transaction ID is not a unique value and may be duplicated over time
transactionDatedate, requiredTransaction date generated by the calling client
checksumstring, requiredHMAC-SHA256 hashed signature of the concatenated method name with all argument values using the terminal password as private key


<?xml version="1.0"?>
<methodCall>
  <methodName>Balance</methodName>
  <params>
    <param>
      <value><string>0029504320</string></value>
    </param>
    <param>
      <value><string>556789731480</string></value>
    </param>
    <param>
      <value><string>STARBUCKS HANOI VNM</string></value>
    </param>
    <param>
      <value><string>0021576138...</string></value>
    </param>
    <param>
      <value><string>415099</string></value>
    </param>
    <param>
      <value>
        <dateTime.iso8601>20200824T14:17:06</dateTime.iso8601>
      </value>
    </param>
    <param>
      <value><string>46719079...</string></value>
    </param>
  </params>
</methodCall>

Response

STATUS

200 OK


SCHEMA

FieldTypeDescription
balanceAmountintegerBalance amount in cents
resultCodeintegerStatus code indicating transaction result
actualBalanceinteger(Optional) Actual/settled balance in cents
addressVerificationResultinteger(Optional) Address Verification Result

<?xml version="1.0"?>
<methodResponse>
  <params>
    <param>
      <value>
        <struct>
          <member>
            <name>resultCode</name>
            <value><int>1</int></value>
          </member>
          <member>
            <name>balanceAmount</name>
            <value><int>626900</int></value>
          </member>
        </struct>
      </value>
    </param>
  </params>
</methodResponse>